#!/bin/sh
#
# $Id$
#
# Create the OSGi user
#

gid=$(getent group osgi | cut -d : -f 3)
uid=$(getent passwd osgi | cut -d : -f 3)

if test -n "$gid"
then
    echo Group osgi already exists with GID $gid
else
    groupadd --system osgi
    test $? -ne 0 && (echo "Adding system group osgi failed."; exit 1)
	gid=$(getent group osgi | cut -d : -f 3)
	if test -n "$gid"
	then
		echo Group osgi added with GID $gid
	else
		echo Failed to add system group osgi.
		exit 1
	fi
fi

if test -n "$uid" 
then
    echo User osgi already exists with UID $uid
else
    useradd --system -m -g osgi -d /var/lib/osgi-runner -c "OSGi Runner Daemon User" osgi
    test $? -ne 0 && (echo "Adding system user osgi with group osgi failed."; exit 2)

        chmod g+w /var/lib/osgi-runner

	uid=$(getent passwd osgi | cut -d : -f 3)

	echo Successfully added user osgi with UID $uid
	if test -n "$gid"
	then
		echo User osgi added with UID $uid and group osgi
	else
		echo Failed to add system user osgi with group osgi.
		exit 1
	fi

fi
