#
# Shell snippet to be sourced in order to load the osgi-runner config
# Never run this script in standalone mode.
#

# marker for include, never change this line.
OSGI_RUNNER_CONFIG_INCLUDED=iro4sAFb2zRYXpP9

# installation directory
OSGI_BASE=/usr/share/osgi-runner

# etc directory
OSGI_ETCDIR=/etc/osgi-runner

# log directory
OSGI_LOGDIR=/var/log/osgi-runner

# cache directory
OSGI_CACHEDIR=/var/cache/osgi-runner

# var directory
OSGI_VARDIR=/var/lib/osgi-runner

# former default runtime user, now used to detect legacy /etc/default/osgi-runner files
OSGI_USER=
OSGI_GROUP=

# default admin user
OSGI_ADMIN=root

# default chown directories
CHOWN_DIRS=""

# default chown mode for log directory, cache directory, deploy directory and CHOWN_DIRS 
CHOWN_MODE=770

# PID file
PIDFILE=/var/run/osgi-runner.pid

OSGI_WAIT=30
OSGI_DEBUG_STARTUP=0

JSVC_BIN=/usr/bin/jsvc
OSGI_CLASS=org.clazzes.osgi.runner.Daemon

# source osgi-runner defaults
JAVA_HOME=""

OSGI_START="no"

OSGI_DUMPDIR=/tmp

. /etc/default/osgi-runner

if test -n "$OSGI_USER" ; then
  echo "Warning: Found legacy OSGI_USER in /etc/default/osgi-runner that will be ignored"
fi        
if test -n "$OSGI_GROUP" ; then
  echo "Warning: Found legacy OSGI_GROUP in /etc/default/osgi-runner that will be ignored"
fi        

OSGI_USER=$(systemctl show osgi-runner.service -p User | sed 's/^User=//p;d')
OSGI_GROUP=$(systemctl show osgi-runner.service -p Group | sed 's/^Group=//p;d')
if [ -z "$OSGI_USER" ] ; then
  echo "ERROR: Unable to detect User from osgi-runner.service"
  exit 11
fi
if [ -z "$OSGI_GROUP" ] ; then
  echo "ERROR: Unable to detect Group from osgi-runner.service"
  exit 12
fi

if test -z "$JAVA_EXE"
then
    if test -z "$JAVA_HOME"
    then
        JAVA_EXE="/usr/bin/java"
    else
        JAVA_EXE="$JAVA_HOME/bin/java"
        if test ! -x "$JAVA_EXE"
        then
            JAVA_EXE="$JAVA_HOME/jre/bin/java"
        fi
    fi
fi

